# $Revision: 1.10 $, $Date: 2004/03/11 12:02:44 $
Summary:	SELinux example policy configuration
Summary(pl):	Przykadowa konfiguracja polityki SELinuksa
Name:		policy
Version:	1.6
Release:	2
Epoch:		1
License:	GPL
Group:		Base
# from ftp://people.redhat.com/dwalsh/SELinux/srpms/policy-%{version}-*.src.rpm
#Source0:	%{name}-%{version}.tar.bz2
Source0:	http://www.nsa.gov/selinux/archives/%{name}-%{version}.tgz
# Source0-md5:	ba0a09437f723ab30a90a5c1756c84f3
Patch0:		%{name}-fedora.patch
Patch1:		%{name}-20040222.patch
Patch2:		%{name}-sh.patch
Patch3:		%{name}-iptables.patch
Patch4:		%{name}-postfix.patch
Patch5:		%{name}-login.patch
Patch6:		%{name}-mgetty.patch
BuildRequires:	checkpolicy
BuildRequires:	policycoreutils >= 1.4-4
BuildRequires:	m4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Security-enhanced Linux is a patch of the Linux kernel and a number
of utilities with enhanced security functionality designed to add
mandatory access controls to Linux. The Security-enhanced Linux kernel
contains new architectural components originally developed to improve
the security of the Flask operating system. These architectural
components provide general support for the enforcement of many kinds
of mandatory access control policies, including those based on the
concepts of Type Enforcement, Role-based Access Control, and
Multi-level Security.

This package contains the SELinux example policy configuration along
with the Flask configuration information and the application
configuration files.

%description -l pl
Security-enhanced Linux jest poprawk jdra Linuksa i wielu
aplikacji uytkowych o funkcjach podwyszonego bezpieczestwa.
Zaprojektowany jest tak, aby w prosty sposb ukaza znaczenie
mandatowej kontroli dostpu dla spoecznoci Linuksowej. Ukazuje
rwnie jak tak kontrol mona doda do istniejcego systemu typu
Linux. Jdro SELinux zawiera nowe skadniki architektury pierwotnie
opracowane w celu ulepszenia bezpieczestwa systemu operacyjnego
Flask. Te elementy zapewniaj oglne wsparcie we wdraaniu wielu typw
polityk mandatowej kontroli dostpu, wczajc te wzorowane na: Type
Enforcement, kontroli dostpu opartej na rolach i zabezpieczeniach
wielopoziomowych.

Ten pakiet zawiera przykadow konfiguracj polityki dla SELinuksa
wraz z informacjami o konfiguracji Flask oraz plikami konfiguracyjnymi
aplikacji.

%package sources
Summary:	SELinux example policy configuration source files
Summary(pl):	Pliki rdowe przykadowej konfiguracji polityki SELinuksa
Group:		Base
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	m4
Requires:	make
Requires:	policycoreutils >= 1.4-4

%description sources
This subpackage includes the source files used to build the policy
configuration. Includes policy.conf and the Makefiles, macros and
source files for it.

%description sources -l pl
Ten podpakiet zawiera pliki rdowe uyte do zbudowania konfiguracji
polityki. Zawiera policy.conf oraz wszystkie Makefile, makra i pliki
rdowe.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

find . -name '*.orig' | xargs -r rm -f

mv -f domains/misc/unused/* domains/misc
mv -f domains/program/unused/* domains/program
mv -f domains/program/{dpk*,gatekeeper*,qmail*} domains/program/unused

%build
%{__make} file_contexts/file_contexts
%{__make} policy

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sysconfdir}/security/selinux

%{__make} install install-src \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/security/selinux/src/policy/{COPYING,ChangeLog,README,VERSION,policy.spec,policy.15}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_sysconfdir}/security/default_contexts
%{_sysconfdir}/security/default_type
%{_sysconfdir}/security/failsafe_context
%{_sysconfdir}/security/initrc_context
%dir %{_sysconfdir}/security/selinux
%{_sysconfdir}/security/selinux/policy.*
%dir %{_sysconfdir}/security/selinux/src
%dir %{_sysconfdir}/security/selinux/src/policy
%dir %{_sysconfdir}/security/selinux/src/policy/file_contexts
%{_sysconfdir}/security/selinux/src/policy/file_contexts/file_contexts

%files sources
%defattr(644,root,root,755)
%doc ChangeLog README
%{_sysconfdir}/security/selinux/src/policy.conf
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/security/selinux/src/policy/users
%{_sysconfdir}/security/selinux/src/policy/[!fu]*
%{_sysconfdir}/security/selinux/src/policy/file_contexts/types.fc
%{_sysconfdir}/security/selinux/src/policy/file_contexts/misc
%{_sysconfdir}/security/selinux/src/policy/file_contexts/program
%{_sysconfdir}/security/selinux/src/policy/flask
%{_sysconfdir}/security/selinux/src/policy/fs_use

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: policy.spec,v $
Revision 1.10  2004/03/11 12:02:44  qboosh
- added login,mgetty patches (policy fixes for our packages)
- resolved postfix/sendmail conflict in postfix patch
  now storing contexts in binary rpms works at last
- release 2

Revision 1.9  2004/02/27 14:38:54  qboosh
- updated to 1.6 (official source) with new Fedora and custom patches
- updated build process from Fedora package

Revision 1.8  2004/02/11 16:09:29  qboosh
- now *_* build again

Revision 1.7  2004/02/11 16:08:10  qboosh
- Fedora version must have rhat patch and extended policycoreutils

Revision 1.6  2004/02/10 14:42:32  qboosh
- epoch 1
- -sources R: base (non-existing directory otherwise)

Revision 1.5  2004/02/04 23:18:35  arekm
- use fedora version

Revision 1.4  2003/12/26 12:16:38  qboosh
- killed duplicates, docs go to standard place

Revision 1.3  2003/12/26 11:15:08  qboosh
- pl, some cleanups

Revision 1.2  2003/12/26 09:38:58  adamg
- snap was defined twice

Revision 1.1  2003/12/26 01:29:17  arekm
- initial pld release

* Tue Dec 23 2003 Dan Walsh <dwalsh@redhat.com> 1.4.2-2
- Fix bluetooth

* Tue Dec 23 2003 Dan Walsh <dwalsh@redhat.com> 1.4.2-1
- Latest policy with Russel and My changes.
- Add Bluetooth and pam

* Mon Dec 8 2003 Dan Walsh <dwalsh@redhat.com> 1.4.1-1
- Incorporate latest release from NSA

* Sat Dec 6 2003 Dan Walsh <dwalsh@redhat.com> 1.3.4-1
- More changes to get Fedora working
- add m4 make policycoreutils requirement
- remove rhat patch

* Thu Dec 3 2003 Dan Walsh <dwalsh@redhat.com> 1.3.3-1
- Many changes to get Fedora working

* Wed Dec 3 2003 Dan Walsh <dwalsh@redhat.com> 1.3.2-2
- Fix xserver to read userhelper files
- fix default context

* Tue Dec 2 2003 Dan Walsh <dwalsh@redhat.com> 1.3.2-1
- Latest policy from Russell

* Tue Nov 4 2003 Dan Walsh <dwalsh@redhat.com> 1.3-3
- Patch to make minimal policy work

* Fri Oct 24 2003 Dan Walsh <dwalsh@redhat.com> 1.3-1
- Russel's policy file

* Thu Oct 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-3
- Latest from NSA

* Mon Aug 18 2003 Paul Nasrat <pauln@truemesh.com> 1.2-1
- Enable non-root build

* Mon Jun 2 2003 Dan Walsh <dwalsh@redhat.com> 1.0-1
- Initial version
